<?php

use \Illuminate\Support\Facades\Route;


Route::get('/','PropertiesController@index')->name('properties.admin.index');
Route::get('/create','PropertiesController@create')->name('properties.admin.create');
Route::get('/edit/{id}','PropertiesController@edit')->name('properties.admin.edit');
Route::post('/store/{id}','PropertiesController@store')->name('properties.admin.store');
Route::post('/bulkEdit','PropertiesController@bulkEdit')->name('properties.admin.bulkEdit');
Route::get('/recovery','PropertiesController@recovery')->name('properties.admin.recovery');
Route::get('/getForSelect2','PropertiesController@getForSelect2')->name('properties.admin.getForSelect2');
Route::get('/getForSelect2','PropertiesController@getForSelect2')->name('properties.admin.getForSelect2');


Route::group(['prefix'=>'attribute'],function (){
    Route::get('/','AttributeController@index')->name('properties.admin.attribute.index');
    Route::get('edit/{id}','AttributeController@edit')->name('properties.admin.attribute.edit');
    Route::post('store/{id}','AttributeController@store')->name('properties.admin.attribute.store');
    Route::post('/editAttrBulk','AttributeController@editAttrBulk')->name('properties.admin.attribute.editAttrBulk');


    Route::get('terms/{id}','AttributeController@terms')->name('properties.admin.attribute.term.index');
    Route::get('term_edit/{id}','AttributeController@term_edit')->name('properties.admin.attribute.term.edit');
    Route::post('term_store','AttributeController@term_store')->name('properties.admin.attribute.term.store');
    Route::post('/editTermBulk','AttributeController@editTermBulk')->name('properties.admin.attribute.term.editTermBulk');

    Route::get('getForSelect2','AttributeController@getForSelect2')->name('properties.admin.attribute.term.getForSelect2');
});

Route::group(['prefix'=>'availability'],function(){
    Route::get('/','AvailabilityController@index')->name('properties.admin.availability.index');
    Route::get('/loadDates','AvailabilityController@loadDates')->name('properties.admin.availability.loadDates');
    Route::post('/store','AvailabilityController@store')->name('properties.admin.availability.store');
});
