<?php
use \Illuminate\Support\Facades\Route;

Route::group(['prefix'=>config('properties.properties_route_prefix')],function(){
    Route::get('/','PropertiesController@index')->name('properties.search'); // Search
    Route::get('/{slug}','PropertiesController@detail')->name('properties.detail');// Detail
});


Route::group(['prefix'=>'user/'.config('properties.properties_route_prefix'),'middleware' => ['auth','verified']],function(){
    Route::get('/','ManagePropertiesController@manageProperties')->name('properties.vendor.index');
    Route::get('/create','ManagePropertiesController@createProperties')->name('properties.vendor.create');
    Route::get('/edit/{id}','ManagePropertiesController@editProperties')->name('properties.vendor.edit');
    Route::get('/del/{id}','ManagePropertiesController@deleteProperties')->name('properties.vendor.delete');
    Route::post('/store/{id}','ManagePropertiesController@store')->name('properties.vendor.store');
    Route::get('bulkEdit/{id}','ManagePropertiesController@bulkEditProperties')->name("properties.vendor.bulk_edit");
    Route::get('/booking-report/bulkEdit/{id}','ManagePropertiesController@bookingReportBulkEdit')->name("properties.vendor.booking_report.bulk_edit");
	Route::get('clone/{id}','ManagePropertiesController@cloneProperties')->name("properties.vendor.clone");
    Route::get('/recovery','ManagePropertiesController@recovery')->name('properties.vendor.recovery');
    Route::get('/restore/{id}','ManagePropertiesController@restore')->name('properties.vendor.restore');
});

Route::group(['prefix'=>'user/'.config('properties.properties_route_prefix')],function(){
    Route::group(['prefix'=>'availability'],function(){
        Route::get('/','AvailabilityController@index')->name('properties.vendor.availability.index');
        Route::get('/loadDates','AvailabilityController@loadDates')->name('properties.vendor.availability.loadDates');
        Route::post('/store','AvailabilityController@store')->name('properties.vendor.availability.store');
    });
});
