<?php

namespace  Modules\Properties;

use Modules\Core\Abstracts\BaseSettingsClass;
use Modules\Core\Models\Settings;

class SettingClass extends BaseSettingsClass
{
    public static function getSettingPages()
    {
        $configs = [
            'properties' => [
                'id' => 'properties',
                'title' => __("Properties Settings"),
                'position' => 20,
                'view' => "Properties::admin.settings.properties",
                "keys" => [
                    'properties_disable',
                    'properties_page_search_title',
                    'properties_page_search_banner',
                    'properties_layout_search',
                    'properties_location_search_style',
                    'properties_page_limit_item',

                    'properties_enable_review',
                    'properties_review_approved',
                    'properties_enable_review_after_booking',
                    'properties_review_number_per_page',
                    'properties_review_stats',

                    'properties_page_list_seo_title',
                    'properties_page_list_seo_desc',
                    'properties_page_list_seo_image',
                    'properties_page_list_seo_share',

                    'properties_booking_buyer_fees',
                    'properties_vendor_create_service_must_approved_by_admin',
                    'properties_allow_vendor_can_change_their_booking_status',
                    'properties_allow_vendor_can_change_paid_amount',
                    'properties_allow_vendor_can_add_service_fee',
                    'properties_search_fields',
                    'properties_map_search_fields',

                    'properties_allow_review_after_making_completed_booking',
                    'properties_deposit_enable',
                    'properties_deposit_type',
                    'properties_deposit_amount',
                    'properties_deposit_fomular',

                    'properties_layout_map_option',
                    'properties_icon_marker_map',
                    'properties_booking_type',

                    'properties_map_lat_default',
                    'properties_map_lng_default',
                    'properties_map_zoom_default',

                    'properties_location_radius_value',
                    'properties_location_radius_type',
                ],
                'html_keys' => [

                ],
                'filter_demo_mode' => [
                ]
            ]
        ];
        return apply_filters(Hook::PROPERTIES_SETTING_CONFIG,$configs);
    }
}
