<tr>
    <td class="booking-history-type">
        <?php if($service = $booking->service): ?>
            <i class="<?php echo e($service->getServiceIconFeatured()); ?>"></i>
        <?php endif; ?>
        <small><?php echo e($booking->object_model); ?></small>
    </td>
    <td>
        <?php if($service = $booking->service): ?>
            <?php
                $translation = $service->translate();
            ?>
            <a target="_blank" href="<?php echo e($service->getDetailUrl()); ?>">
                <?php echo e($translation->title); ?>

            </a>
        <?php else: ?>
            <?php echo e(__("[Deleted]")); ?>

        <?php endif; ?>
    </td>
    <td class="a-hidden"><?php echo e(display_date($booking->created_at)); ?></td>
    <td class="a-hidden">
        <?php echo e(__("Start date")); ?> : <?php echo e(display_date($booking->start_date)); ?> <br>
        <?php echo e(__("End date")); ?> : <?php echo e(display_date($booking->end_date)); ?> <br>
        <?php echo e(__("Duration")); ?> :
        <?php if($booking->getMeta("booking_type") == "by_day"): ?>
            <?php if($booking->duration_days <= 1): ?>
                <?php echo e(__(':count day',['count'=>$booking->duration_days])); ?>

            <?php else: ?>
                <?php echo e(__(':count days',['count'=>$booking->duration_days])); ?>

            <?php endif; ?>
        <?php endif; ?>
        <?php if($booking->getMeta("booking_type") == "by_night"): ?>
            <?php if($booking->duration_nights <= 1): ?>
                <?php echo e(__(':count night',['count'=>$booking->duration_nights])); ?>

            <?php else: ?>
                <?php echo e(__(':count nights',['count'=>$booking->duration_nights])); ?>

            <?php endif; ?>
        <?php endif; ?>
    </td>
    <td><?php echo e(format_money($booking->total)); ?></td>
    <td><?php echo e(format_money($booking->paid)); ?></td>
    <td><?php echo e(format_money($booking->total - $booking->paid)); ?></td>
    <td class="<?php echo e($booking->status); ?> a-hidden"><?php echo e($booking->statusName); ?></td>
    <td width="2%">
        <?php if($service = $booking->service): ?>
            <a class="btn btn-xs btn-primary btn-info-booking" data-ajax="<?php echo e(route('booking.modal',['booking'=>$booking])); ?>" data-toggle="modal" data-id="<?php echo e($booking->id); ?>" data-target="#modal_booking_detail">
                <i class="fa fa-info-circle"></i><?php echo e(__("Details")); ?>

            </a>
        <?php endif; ?>
        <a href="<?php echo e(route('user.booking.invoice',['code'=>$booking->code])); ?>" class="btn btn-xs btn-primary btn-info-booking open-new-window mt-1" onclick="window.open(this.href); return false;">
            <i class="fa fa-print"></i><?php echo e(__("Invoice")); ?>

        </a>
        <?php if($booking->status == 'unpaid'): ?>
            <a href="<?php echo e(route('booking.checkout',['code'=>$booking->code])); ?>" class="btn btn-xs btn-primary btn-info-booking open-new-window mt-1">
                <?php echo e(__("Pay now")); ?>

            </a>
        <?php endif; ?>


         <?php 
             $bookingdate=explode(" ",$booking->start_date);
            $now = date('Y-m-d');
        ?>
         
         <?php if($booking->status != 'cancelled' && $now <  $bookingdate[0]): ?>
           <button type="button" class="booking_cancel btn btn-xs btn-danger btn-info-booking open-new-window mt-1" data-toggle="modal" data-target="#cancel-modal<?php echo e($booking->id); ?>"><i class="fa fa-times"></i> <?php echo e(__("Cancel")); ?></button>
       <?php endif; ?>
    </td>
    <div class="modal" id="cancel-modal<?php echo e($booking->id); ?>" class="modal fade" role="dialog">
    <div class="modal-dialog">
      <!-- Modal content-->
      <div class="modal-content">
        <div class="modal-header d-block">
          <button type="button" class="close" data-dismiss="modal">&times;</button>
          <h4 class="modal-title text-center"> <?php echo e(__("Cancel this Booking")); ?> </h4>
        </div>
        <form accept-charset="UTF-8" action="<?php echo e(url('user/guest_cancel')); ?>" id="cancel_reservation_form" method="post" name="cancel_reservation_form">
        <?php echo e(csrf_field()); ?>

          <div class="modal-body">
              <div id="decline_reason_container">
                <p>
                   <?php echo e(__("Please write the main reason for cancelling this Booking.")); ?> 
                </p>
                <p>
                  <strong>
                     <?php echo e(__("Your response will not be shared with the host")); ?> 
                  </strong>
                </p>
                <div class="select">
                  <select id="cancel_reason" name="cancel_reason" class="form-control" required>
                    <option value=""> <?php echo e(__("Why are you declining?")); ?> </option>
                    <option value="no_longer_need_accommodations"> <?php echo e(__("I no longer need accommodations")); ?> </option>
                    <option value="travel_dates_changed"> <?php echo e(__("My travel dates changed")); ?> </option>
                    <option value="made_the_reservation_by_accident"> <?php echo e(__("I made the Booking by accident")); ?> </option>
                    <option value="I_have_an_extenuating_circumstance"> <?php echo e(__("I have an extenuating circumstance")); ?> </option>
                    <option value="my_host_needs_to_cancel"> <?php echo e(__("My host needs to cancel")); ?> </option>
                    <option value="uncomfortable_with_the_host"> <?php echo e(__("I’m uncomfortable with the host")); ?> </option>
                    <option value="place_not_okay"> <?php echo e(__("The place isn’t what I was expecting")); ?> </option>
                    <option value="other"> <?php echo e(__("Other")); ?> </option>
                  </select>
                </div>
 
               
              </div>
              <label for="cancel_message" class="row-space-top-2 mt-3">
                <?php echo e(__("Type message to Host.")); ?> 
              </label>
              <textarea class="form-control" cols="40" id="cancel_message" name="cancel_message" rows="10"></textarea>
              <input type="hidden" name="id" id="booking_id" value="<?php echo e($booking->id); ?>">
              <div class="col-sm-12 pt-0 mt-5 pb-3">
              <?php echo e(__("By clicking on Continue, you agree to pay the total amount shown, which includes Service Fees, on the right and to the Terms of Service , Guest Refund Policy, Cancellation Policy")); ?> 
                  </div>
         </div>
          <div class="modal-footer">
            <input class="btn ex-btn btn-danger text-13 font-weight-600" id="cancel_submit" name="commit" type="submit" value="<?php echo e(__("Cancel My Booking")); ?>">
            <button type="button" class="btn btn-primary text-13 font-weight-600" data-dismiss="modal"> <?php echo e(__("Close")); ?></button>
          </div>
        </form>
      </div>
    </div>
  </div>
</tr>
<?php /**PATH /home1/mykeysit/public_html/monevasion/themes/Base/Properties/Views/frontend/bookingHistory/loop.blade.php ENDPATH**/ ?>