<tr>
    <td class="booking-history-type">
        @if($service = $booking->service)
            <i class="{{$service->getServiceIconFeatured()}}"></i>
        @endif
        <?php if($booking->object_model=='hotel'){

           $servicetype="Hotel";

        } ?>
        <small>{{$servicetype}}</small>
    </td>
    <td>
        @if($service = $booking->service)
            <a target="_blank" href="{{$service->getDetailUrl()}}">
                {{$service->title}}
            </a>
        @else
            {{__("[Deleted]")}}
        @endif
    </td>
    <td class="a-hidden">{{display_date($booking->created_at)}}</td>
    <td class="a-hidden">
        {{__("Check in")}} : {{display_date($booking->start_date)}} <br>
        {{__("Check out")}} : {{display_date($booking->end_date)}} <br>
        @php $rooms = \Modules\Hotel\Models\HotelRoomBooking::getByBookingId($booking->id) @endphp
        @if(!empty($rooms))
            @foreach($rooms as $room)
                    <div class="label">{{$room->room->title}} * {{$room->number}} = {{format_money_main($room->price * $room->number)}} </div>
            @endforeach
        @endif
    </td>
    <td>
        <div>{{__("Total")}}: {{format_money_main($booking->total)}}</div>
        <div>{{__("Paid")}}: {{format_money_main($booking->paid)}}</div>
        <div>{{__("Remain")}}: {{format_money($booking->total - $booking->paid)}}</div>
    </td>
    <td>
        {{ format_money($booking->commission) }}
    </td>
    <td class="{{$booking->status}} a-hidden">{{$booking->statusName}}</td>
    <td width="2%">
        @if($service = $booking->service)
            <a class="btn btn-xs btn-primary btn-info-booking" data-ajax="{{route('booking.modal',['booking'=>$booking])}}" data-toggle="modal" data-id="{{$booking->id}}" data-target="#modal_booking_detail">
                <i class="fa fa-info-circle"></i>{{__("Details")}}
            </a>
        @endif
        <a href="{{route('user.booking.invoice',['code'=>$booking->code])}}" class="btn btn-xs btn-primary btn-info-booking open-new-window mt-1" onclick="window.open(this.href); return false;">
            <i class="fa fa-print"></i>{{__("Invoice")}}
        </a>
        @if(!empty(setting_item("hotel_allow_vendor_can_change_their_booking_status")))
            <a class="btn btn-xs btn-info btn-make-as" data-toggle="dropdown">
                <i class="icofont-ui-settings"></i>
                {{__("Action")}}
            </a>
            <div class="dropdown-menu">
                @if(!empty($statues))
                    @foreach($statues as $status)
                        <a href="{{ route("hotel.vendor.booking_report.bulk_edit" , ['id'=>$booking->id , 'status'=>$status]) }}">
                            <i class="icofont-long-arrow-right"></i> {{__('Mark as: :name',['name'=>booking_status_to_text($status)])}}
                        </a>
                    @endforeach
                @endif
            </div>
        @endif
        @if(!empty(setting_item("hotel_allow_vendor_can_change_paid_amount")))
            <a class="btn btn-xs btn-info btn-info-booking mt-1" data-toggle="modal" data-target="#modal-paid-{{$booking->id}}">
                <i class="fa fa-dollar"></i>{{__("Set Paid")}}
            </a>
            @include ($service->set_paid_modal_file ?? '')
        @endif

         <?php
            $now = new DateTime();
            $booking_start = new DateTime($booking->start_date);           
        ?>
        
        <?php  /*@if($booking->status != 'cancelled' && $now <  $booking_start)*/?>
         @if($booking->status != 'cancelled')
           <!--<button type="button" class="booking_cancel btn btn-xs btn-danger btn-info-booking open-new-window mt-1" data-toggle="modal" data-target="#cancel-modal{{ $booking->id }}"><i class="fa fa-times"></i> {{__("Cancel")}}</button>-->
        @endif
    </td>

      <div class="modal" id="cancel-modal{{ $booking->id }}" class="modal fade" role="dialog">
    <div class="modal-dialog">
      <!-- Modal content-->
      <div class="modal-content"> 
        <div class="modal-header d-block">
          <button type="button" class="close" data-dismiss="modal">&times;</button>
          <h4 class="modal-title font-weight-700 text-center">{{__("Cancel this Booking")}}</h4>
        </div>
        <form accept-charset="UTF-8" action="{{ url('vendor/host_cancel') }}" id="cancel_reservation_form" method="post" name="cancel_reservation_form">
          {{ csrf_field() }}
          <div class="modal-body">
              <div id="decline_reason_container">
                <p>
                  {{__("Please write down the main reason for Cancelling this Booking")}} 
                </p>
                <div class="select">
                  <select id="cancel_reason" name="cancel_reason" class="form-control" required>
                    <option value="">{{__("Why are you Cancelling?")}} </option>
                    <option value="i_am_uncomfortable_with_guest"> {{__("I’m uncomfortable with the reservation or the guest has broken my House Rules")}}</option>
                    <option value="no_longer_available"> {{__("My place is no longer available")}} </option>
                    <option value="offer_a_different_listing">{{__("I want to offer a different listing or change the price")}} </option>
                    <option value="need_maintenance">{{__("My place needs maintenance")}} </option>
                    <option value="I_have_an_extenuating_circumstance">{{__("I have an extenuating circumstance")}} </option>
                    <option value="my_guest_needs_to_cancel">{{__("My guest needs to cancel")}} </option>
                    <option value="other">{{__("Other")}} </option></select>
                  </select>
                </div>

               
              </div>
              <label for="cancel_message" class="row-space-top-2 mt-3">
                {{__("Type message to Guest...")}}
              </label>
              <textarea class="form-control" cols="40" id="cancel_message" name="cancel_message" rows="10"></textarea>
              <input type="hidden" name="id" id="booking_id" value="<?php echo $booking->id; ?>">
              <div class="col-sm-12 p-0 mt-5 pb-3">
                        {{__("By clicking on Continue, you agree to pay the total amount shown, which includes Service Fees, on the right and to the Terms of Service , Guest Refund Policy, Cancellation Policy")}}
                    </div>
          </div>
          <div class="modal-footer">
            <input type="hidden" name="decision" value="decline">
            <input class="btn ex-btn text-13 btn-danger font-weight-600" id="cancel_submit" name="commit" type="submit" value="{{__("Cancel My Booking")}}">
            <button type="button" class="btn btn-primary text-13 font-weight-600" data-dismiss="modal">{{__("Close")}}</button>
          </div>
        </form>
      </div>

    </div>
  </div>
</tr>
